Bug 572341 - [LSI 5.6 FEAT] Add new 3w-sas driver to anaconda module-info file
Summary: [LSI 5.6 FEAT] Add new 3w-sas driver to anaconda module-info file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda
Version: 5.6
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: 5.6
Assignee: Martin Sivák
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On: 572011
Blocks: 557597 600484
TreeView+ depends on / blocked
 
Reported: 2010-03-10 22:25 UTC by Adam Radford
Modified: 2013-07-12 00:03 UTC (History)
6 users (show)

Fixed In Version: anaconda-11.1.2.213
Doc Type: Enhancement
Doc Text:
* Anaconda now includes support for several hardware devices that it did not previously support. Without this support, it was not possible to use these devices during installation. The devices include: - Brocade 10G Ethernet controller (BZ#549677) - Chelsio T4 10Gb Ethernet adapter (BZ#562913) - QLogic Corp cLOM8214 1/10Gb Ethernet controller (BZ#571895) - 10Gb EN port on Mellanox Infiniband controller (BZ#635095) - LSI 3ware 97xx SAS/SATA RAID controller (BZ#572341)
Clone Of:
Environment:
Last Closed: 2011-01-13 21:54:51 UTC
Target Upstream Version:


Attachments (Terms of Use)
3w-sas anaconda module-info patch (476 bytes, patch)
2010-03-10 22:25 UTC, Adam Radford
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0030 normal SHIPPED_LIVE anaconda bug fix and enhancement update 2011-01-12 15:59:28 UTC

Description Adam Radford 2010-03-10 22:25:25 UTC
Created attachment 399196 [details]
3w-sas anaconda module-info patch

This patch adds the new 3ware driver '3w-sas' from 
bugzilla #572011 to anaconda's module-info file.

-Adam Radford

Comment 2 Alexander Todorov 2010-07-12 10:34:57 UTC
Hi Adam,
Red Hat QE needs partner commitment to test this request before providing qa_ack. Will you or LSI test this feature?

Comment 4 Adam Radford 2010-07-20 18:19:12 UTC
Alexander,

You definitely have partner commitment.  I and LSI will test this feature.

Do you need any specific results output from my testing?

-Adam

Comment 6 Martin Sivák 2010-08-19 08:32:52 UTC
This should be fixed in anaconda-11.1.2.213.

Comment 8 Chris Ward 2010-11-09 13:34:36 UTC
~~ Attention Customers and Partners - RHEL 5.6 Public Beta is now available on RHN ~~

A fix for this 'OtherQA' BZ should be present and testable in the release. 

If this Bugzilla is verified as resolved, please update the Verified field above with an appropriate value and include a summary of the testing executed and the results obtained.

If you encounter any issues or have questions while testing, please describe them and set this bug into NEED_INFO. 

If you encounter new defects or have additional patches to request for inclusion, promptly escalate the new issues through your support representative.

Finally, future Beta kernels can be found here:
 http://people.redhat.com/jwilson/el5/

Note: Bugs with the 'OtherQA' keyword require Third-Party testing to confirm the request has been properly addressed. See: https://bugzilla.redhat.com/describekeywords.cgi#OtherQA ).

Comment 9 Alexander Todorov 2010-11-30 09:43:27 UTC
Adam,
please respond to comment #8. Thanks!

Comment 10 Adam Radford 2010-11-30 22:33:00 UTC
Alexander,

I have verified this bugzilla with RHEL5.6 snapshot 2 (kernel 2.6.18-232.el5)
I was able to successfully detect the LSI 3ware 9750 controller 
(using 3w-sas driver) and successfully installed RHEL5.6 snapshot 2 to the 
LSI 3ware 9750 controller.

-Adam

Comment 11 Alexander Todorov 2010-12-01 06:44:23 UTC
Adam,
thank you for testing. Moving to VERIFIED.

Comment 12 Ruediger Landmann 2011-01-12 02:25:46 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
* Anaconda now includes support for several hardware devices that it did 
not previously support. Without this support, it was not possible to use 
these devices during installation. The devices include:
- Brocade 10G Ethernet controller (BZ#549677)
- Chelsio T4 10Gb Ethernet adapter (BZ#562913)
- QLogic Corp cLOM8214 1/10Gb Ethernet controller (BZ#571895)
- 10Gb EN port on Mellanox Infiniband controller (BZ#635095)
- LSI 3ware 97xx SAS/SATA RAID controller (BZ#572341)

Comment 14 errata-xmlrpc 2011-01-13 21:54:51 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0030.html


Note You need to log in before you can comment on or make changes to this bug.